#################################################
#
#  (C) 2017 Slávek Banko
#  slavek (DOT) banko (AT) axis.cz
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_BINARY_DIR}
  ${TQT_INCLUDE_DIRS}
  ${TDE_INCLUDE_DIR}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### mpeg_utilmmx (library) ####################

tde_add_library( mpeg_utilmmx STATIC_PIC
  SOURCES
    cpu_accel.c mmx.c
)

set_property( TARGET mpeg_utilmmx-static
              APPEND PROPERTY COMPILE_DEFINITIONS PIC )


##### other data ################################

install(
  FILES
    mmx.h mmx_asm.h mm_accel.h
  DESTINATION ${INCLUDE_INSTALL_DIR}/mpeglib/util/mmx
)
